<?php
class RepDetPagosProveedorAction extends wtActions
{
    public function execute()
    {
        /*header( 'Content-Type: application/vnd.ms-excel' );
        header( 'Content-Disposition: attachment;filename="Detalle_Cobranza_Clientes_'.date( "Ymd" ).'.xls"' );
        header( 'Cache-Control: max-age=0' );*/

        $this->s_FechaDesde = trim( $this->getRequestParameter( 'FechaDocumento1' ) );
        $this->s_FechaHasta = trim( $this->getRequestParameter( 'FechaDocumento2' ) );

        $o_GSS_CompaniaFN = new GSS_CompaniaFN();
        $this->o_GSS_CompaniaBN = $o_GSS_CompaniaFN->selectByPK( myUser::getUser()->getIdCompania() );

        $o_FCO_AplicacionFN = new CP_AplicacionFN();
        $o_FCO_AplicacionFN->addOrderBy( CP_AplicacionFN::IdDocNumRef );
        $this->a_FCO_Aplicacion = $o_FCO_AplicacionFN->select();

        $o_CP_ObligacionesFN = new CP_ObligacionesFN();
        $o_CP_ObligacionesFN->setIdTipoDocumento( "LC" );
        //$o_CP_ObligacionesFN->setComprobanteRefId( $o_VTA_DocumentoBN->getObligacionesId() );
        $o_CP_ObligacionesFN->addCondition( CP_ObligacionesFN::ComprobanteRefId, "IS", "NOT NULL", false );
        $o_CP_ObligacionesFN->addOrderBy( CP_ObligacionesFN::FechaCreacion );
        $this->a_CP_Obligaciones = $o_CP_ObligacionesFN->select();

        if( $this->s_FechaDesde == "" )
        {
            $this->s_FechaDesde = "- - - - ";
        }
        if( $this->s_FechaHasta == "" )
        {
            $this->s_FechaHasta = date( "Y-m-d" );
        }

        ViewResponse::getInstance()->setMethodAjax();
    }
}
